package ro.ieval.unical;

import java.util.Arrays;
import java.util.Comparator;

import android.app.Activity;
import android.graphics.Color;
import android.os.Bundle;
import android.view.View;
import android.view.View.OnClickListener;
import android.widget.Button;
import android.widget.LinearLayout;


public class EventListActivity extends Activity {
	private static class EventComparator implements Comparator<Event> {
		@Override
		public int compare(final Event lhs, final Event rhs) {
			if(lhs.dtstart < rhs.dtstart)
				return -1;
			if(lhs.dtstart == rhs.dtstart)
				return 0;
			return 1;
		}

	}

	@Override
	protected void onCreate(final Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		setContentView(R.layout.event_list);

	    final Event events[]=Event.getAllEvents(getBaseContext());
	    final LinearLayout layout = (LinearLayout) findViewById(R.id.eventslayout);
		Arrays.sort(events,new EventComparator());
		for(final Event event : events) {
			final Button button=new Button(this);
			button.setText(event.title);

			button.setTextColor(Color.BLACK);
			button.setOnClickListener(new OnClickListener() {
				@Override
				public void onClick(final View v) {
					DisplayEventActivity.displayEvent(EventListActivity.this, event);
				}
			});
			layout.addView(button);
		}
	}
	
}
